Bug 188129 - OpenLDAP 2.3.19 is unstable, upgrade OpenLDAP do 2.3.24
OpenLDAP 2.3.19 is unstable, upgrade OpenLDAP do 2.3.24
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
http://www.openldap.org/lists/openlda...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 06:13 EDT by Aleksander Adamowski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: openldap-2.3.30-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 04:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Adamowski 2006-04-06 06:13:26 EDT
Description of problem:

Fedora Core 5 ships with version 2.3.19 of OpenLDAP, which is very unstable.

Version 2.3.20 fixes numerous crasher bugs:
http://www.openldap.org/lists/openldap-announce/200602/msg00000.html

I suggest posting openldap-2.3.20 RPMs in FC5 updates as a stability fix.

Version-Release number of selected component (if applicable): openldap-2.3.19-4
Comment 1 Aleksander Adamowski 2006-04-10 06:33:39 EDT
I've prepared an updated SRPM and placed it overhere:

http://olo.ab.altkom.pl/domowa/qa/fedora/openldap-2.3.20-1.1.src.rpm

It has been extensively tested on x86_64 (also in a production environment).
Comment 2 Dmitry Butskoy 2006-06-19 13:09:09 EDT
2.3.24 is the latest upstream stable.
Comment 3 Aleksander Adamowski 2006-06-20 09:29:42 EDT
Yes, we're running 2.3.24 on a busy server and it is stable indeed (unlike
2.3.19, which had horrible problems with back_ldap backend).

Also, it's release notes list only some minor bugs fixed in this release, so it
seems it's finally really stable.
Comment 4 Aleksander Adamowski 2006-06-20 09:36:17 EDT
Changing summary.
Comment 5 Fedora Update System 2007-04-27 01:50:45 EDT
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Fedora Update System 2007-05-14 13:17:10 EDT
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.